package com.pcloud.book.group.dto;

import java.io.Serializable;


/**
 * 微信群二维码DTO
 * @author lili
 * @date 创建时间：2017年12月13日 下午6:57:29
 */
public class BookWxQrcodeDTO implements Serializable {

    /**
     * 序列化
     */
    private static final long serialVersionUID = 6758789564455358387L;


    /**
     * 微信群ID
     */
    private String weixinGroupId;

    /**
     * 微信群ID
     */
    private String robotWxId;

    private Integer generation;

    private String wechatGroupIp;

    public String getWeixinGroupId() {
        return weixinGroupId;
    }

    public void setWeixinGroupId(String weixinGroupId) {
        this.weixinGroupId = weixinGroupId;
    }

    public String getRobotWxId() {
        return robotWxId;
    }

    public void setRobotWxId(String robotWxId) {
        this.robotWxId = robotWxId;
    }

    public Integer getGeneration() {
        return generation;
    }

    public void setGeneration(Integer generation) {
        this.generation = generation;
    }

    public String getWechatGroupIp() {
        return wechatGroupIp;
    }

    public void setWechatGroupIp(String wechatGroupIp) {
        this.wechatGroupIp = wechatGroupIp;
    }

    @Override
    public String toString() {
        return "BookWxQrcodeDTO{" +
                "weixinGroupId='" + weixinGroupId + '\'' +
                ", robotWxId='" + robotWxId + '\'' +
                '}';
    }
}
